extends Node

var strings

func _ready():
	$HTTPRequest.connect("request_completed", self, "_on_request_completed")
	$HTTPRequest.request("https://lunarpenguin.net/stuff/stream-bingo/bingo-squares.json")

func _been_clicked(what):
	var button = get_node("squares/%s/Marker" % what)
	button.visible = !button.visible
	pass # Replace with function body.

func _on_request_completed(result, response_code, headers, body):
	var json = JSON.parse(body.get_string_from_utf8())
	strings = json.result
	
	randomize()
	var rng = RandomNumberGenerator.new()
	rng.randomize()
	var randseed = rng.get_seed()
	seed(randseed)
	print(randseed)
	$Seed.text = "Seed: " + str(randseed)
	strings.shuffle()
	
	for i in range(24):
		var j = i + 1
		get_node("squares/%s/Label" % j).set_text(strings[i])
		get_node("squares/%s/Marker" % j).set_frame(rng.randi_range(0,3))
		get_node("squares/%s/Marker" % j).modulate = Color(1,1,1,0.5)
